.\" $NetBSD: isic.4,v 1.14 2004/03/05 14:43:01 wiz Exp $
.\"
.\" Copyright (c) 1997, 2000 Hellmuth Michaelis. All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	$Id: isic.4,v 1.15 2005/06/23 12:47:38 peter Exp $
.\"
.\" $FreeBSD$
.\"
.\"	last edit-date: [Thu Mar 16 16:21:45 2000]
.\"
.Dd March 16, 2000
.Dt ISIC 4
.Os
.Sh NAME
.Nm isic
.Nd isdn4bsd Siemens ISDN Chipset device driver
.Sh SYNOPSIS
On the ISA bus:
.Pp
Teles S0/8 or Niccy 1008 card:
.Cd options ISICISA_TEL_S0_8
.Cd "isic0 at isa? iomem 0xd0000 irq 5"
.Pp
Teles S0/16 or Creatix ISDN-S0 or Niccy 1016 card:
.Cd options ISICISA_TEL_S0_16
.Cd "isic0 at isa? port 0xd80 iomem 0xd0000 irq 5"
.Pp
Teles S0/16.3 card:
.Cd options ISICISA_TEL_S0_16_3
.Cd "isic0 at isa? port 0xd80 irq 5"
.Pp
AVM A1 or AVM Fritz card:
.Cd options ISICISA_AVM_A1
.Cd "isic0 at isa? port 0x340 irq 5"
.Pp
USRobotics Sportster ISDN TA internal or Stollmann Tina-pp card:
.Cd options ISICISA_USR_STI
.Cd "isic0 at isa? port 0x268 irq 5"
.Pp
ITK ix1 micro card:
.Cd options ISICISA_ITKIX1
.Cd "isic0 at isa? port 0x398 irq 10"
.Pp
On the ISAPNP bus:
.Pp
Teles S0/16.3 PnP card
.Cd options ISICPNP_TEL_S0_16_3_P
.Cd "isic* at isapnp?"
.Pp
Creatix ISDN-S0 P\*[Am]P card
.Cd options ISICPNP_CRTX_S0_P
.Cd "isic* at isapnp?"
.Pp
Dr. Neuhaus Niccy GO@
.Cd options ISICPNP_DRN_NGO
.Cd "isic* at isapnp?"
.Pp
ELSA QuickStep 1000pro (ISA version):
.Cd options ISICPNP_ELSA_QS1ISA
.Cd "isic* at isapnp?"
.Pp
Sedlbauer WinSpeed:
.Cd options ISICPNP_SEDLBAUER
.Cd "isic* at isapnp?"
.Pp
Dynalink IS64PH:
.Cd options ISICPNP_DYNALINK
.Cd "isic* at isapnp?"
.Pp
Cards on the PCI bus:
.Pp
ELSA QuickStep 1000pro (PCI version)
.Cd "isic* at pci?"
.Pp
Cards on the PCMCIA or PCCARD bus:
.Pp
AVM Fritz!Card PCMCIA
.Cd options ISICPCMCIA_AVM_A1
.Cd "isic* at pcmcia? function ?"
.Pp
ELSA MicroLink ISDN/MC
.Cd options ISICPCMCIA_ELSA_ISDNMC
.Cd "isic* at pcmcia? function ?"
.Pp
ELSA MicroLink MC/all
.Cd options ICISPCMCIA_ELSA_MCALL
.Cd "isic* at pcmcia? function ?"
.Pp
Cards on the Amiga Zorro bus:
.Pp
BSC/ITH ISDN Master or MasterII, ITH ISDN MasterII, Individual Computers
ISDN Surfer, VMC ISDN Blaster, or Zeus ISDN Link
.Cd "aster* at zbus?"
.Cd "isic* at aster? port ?"
.Sh DESCRIPTION
The
.Nm
driver provides D-channel layer 1 supports as specified in ITU Recommendation
I.430 and layer 1 support for the B-channel.
.Pp
The driver supports several 8- and 16-bit passive ISDN cards from various
manufacturers which are all based upon the popular Siemens ISDN chipset
consisting of the ISDN Subscriber Access Controller ISAC (such as the
PEB2085 or PSB 2186) and the High-Level Serial Communications Controller
Extended HSCX (such as the SAB82525 or PSB21525). The newer IPAC chip
(which integrates an ISAC and a HSCX in one chip, with the added benefit
of larger FIFO buffers) is also supported.
.Sh SUPPORTED CARDS
.Bl -tag -width Ds -compact
.It Ar Teles S0/8, Dr. Neuhaus Niccy 1008, Creatix ISDN-S0/8
.Pp
Notice that this cards must not have a
.Em port
value in the config line.
.Pp
Valid interrupts are 2, 3, 4, 5, 6 and 7.
.Pp
The i/o ports are memory mapped and the memory start address may
be in the range 0xA0000 to 0xDF000 and uses 4kB of memory.
.Pp
The optional
.Em flag
value is 1.
.Pp
.It Ar Teles S0/16, Creatix ISDN-S0, Dr. Neuhaus Niccy 1016
.Pp
These boards have a jumper which specifies an i/o base address of either
0xd80, 0xe80 or 0xf80. The remaining necessary configuration values are then
programmed at run time by accessing this i/o port.
.Pp
Valid interrupts are 2, 3, 4, 5, 10, 11, 12 or 15.
.Pp
Valid memory start
addresses are 0xC0000, 0xC2000, 0xC4000, 0xC6000, 0xC8000, 0xCA000, 0xCC000,
0xCE000, 0xD0000, 0xD2000, 0xD4000, 0xD6000, 0xD8000, 0xDA000, 0xDC000 and
0xDE000.
.Pp
Notice: Although the Jumpers are labeled 0xd80, 0xe80 or 0xf80, they
also require i/o space at addresses 0x180, 0x280 or 0x380.
.Pp
The optional
.Em flag
value is 2.
.Pp
.It Ar Teles S0/16.3
.Pp
This card is completely i/o mapped and must not have an
.Em iomem
statement in the config line.
.Pp
Valid interrupts are 2, 5, 9, 10, 12 or 15.
.Pp
Notice: Although the switch positions are labeled 0x180, 0x280 and 0x380,
the card is to be configured at 0xd80, 0xe80 or 0xf80 respectively!
.Pp
The optional
.Em flag
value is 3.
.Pp
.It Ar AVM A1, AVM Fritz!Card
.Pp
These boards have a jumper which specifies an i/o base address of either
0x200, 0x240, 0x300 or 0x340.
.Pp
Valid interrupt configurations are 3, 4, 5, 6, 7, 10, 11, 12 or 15.
.Pp
Older Versions of the AVM A1 also require setting of an IRQ jumper, newer
versions of this and the Fritz!Card only have an i/o base jumper and the
interrupt is set up at runtime by reprogramming a register.
.Pp
This card is completely i/o mapped and must not have an
.Em iomem
statement in the config line.
.Pp
The optional
.Em flag
value is 4.
.Pp
.It Ar Teles S0/16.3 PnP
.Pp
Possible i/o port values are 0x580, 0x500 and 0x680.
Possible interrupt configurations are 3, 5, 7, 10, 11 and 12.
.Pp
The card is autoconfigured by the PnP kernel subsystem.
.Pp
.It Ar Creatix ISDN-S0 P\*[Am]P
.Pp
Valid i/o port values are 0x120, 0x180 and 0x100.
.Pp
Valid interrupt configurations are 3, 5, 7, 10, 11 and 12.
.Pp
The card is autoconfigured by the PnP kernel subsystem.
.Pp
.It Ar "3Com USRobotics Sportster ISDN TA intern and Stollmann Tina pp"
.Pp
Valid i/o port values are 0x200, 0x208, 0x210, 0x218, 0x220, 0x228, 0x230,
0x238, 0x240, 0x248, 0x250, 0x258, 0x260, 0x268, 0x270 and 0x278.
.Pp
Valid interrupt configurations are 5, 7, 10, 11, 12, 14, 15.
.Pp
Notice: this card has a strange address decoding scheme resulting in 64
windows of some bytes length. Anyway, support for this card is good because
the manufacturer gave out technical docs for this card!
.Pp
The optional
.Em flag
value is 7.
.Pp
.It Ar "Dr. Neuhaus Niccy Go@"
.Pp
Valid i/o port values must be in the range 0x200 ... 0x3e0.
.Pp
Valid interrupt configurations are 3, 4, 5, 9, 10, 11, 12, 15.
.Pp
The card is autoconfigured by the PnP kernel subsystem.
.Pp
.It Ar "Sedlbauer Win Speed"
.Pp
Valid i/o port values must be in the range 0x100 ... 0x3f0. (alignment 0x8,
len 0x8)
.Pp
Valid interrupt configurations are 3, 4, 5, 7, 10, 11, 12, 13, 15.
.Pp
The card is autoconfigured by the PnP kernel subsystem.
.Pp
.It Ar "ELSA QuickStep 1000pro (ISA)"
.Pp
I/O port in the range 0x160 ... 0x360 (occupies 8 bytes).
.Pp
Valid interrupt configurations are 3, 4, 5, 7, 10, 11, 12, 15.
.Pp
The card is autoconfigured by the PnP kernel subsystem.
.Pp
.It Ar "ELSA QuickStep 1000pro-PCI"
.Pp
The card is autoconfigured by the PCI kernel subsystem.
.Pp
.It Ar "ITK ix1 micro"
.Pp
Valid i/o port values must be in the range (\*[Lt]unknown\*[Gt]).
.Pp
Valid interrupt configurations are (\*[Lt]unknown\*[Gt]).
.Pp
The optional
.Em flag
value is 18.
.Pp
.It Ar "BSC ISDN Master (2092/64)"
.It Ar "BSC ISDN MasterII (2092/65)"
.It Ar "ITH ISDN MasterII (5000/1)"
.It Ar "VMC ISDN Blaster (5001/1)"
.It Ar "Zeus ISDN Link (2189/3)"
.Pp
The card addresses are autoconfigured by the Zorro bus kernel subsystem.
The ISDN functions of the boards are at known (to the driver) relative
addresses.
.Pp
Note that currently, you have to jumper the card interrupt for
.Em IPL 2
instead of
.Em IPL 6
(which is used by most AmigaOS software).
.Pp
Note that the ITH ISDN MasterII doesn't work in the DraCo Zorro bus. This
is not a
.Nx Ns -specific
problem, but a general one.
.Pp
.It Ar "Individual Computers ISDN Surfer (4626/5 serno 0)"
.Pp
The card addresses are autoconfigured by the Zorro bus kernel subsystem.
The ISDN functions of the boards are at known (to the driver) relative
addresses.
.Pp
The card is operated by the driver at
.Em IPL 2
instead of
.Em IPL 6
(which is used by most AmigaOS software). Because of this,
if an AmigaOS driver did lock the interrupt priority level of the card, your
system might hang soon after boot. In this case, boot using the boot block,
or without enabling the AmigaOS driver if you use loadbsd.
.El
.Sh SEE ALSO
.Xr isdnd 8
.Sh STANDARDS
CCITT Recommendation I.430
.Sh AUTHORS
.An -nosplit
The
.Nm
driver and this man page were written by
.An Hellmuth Michaelis Aq hm@kts.org .
It is based on earlier work of
.An Arne Helme ,
.An Andrew Gordon
and
.An Gary Jennejohn .
.Pp
The complete porting to and maintenance of
.Nx
was done by
.An Martin Husemann
.Aq martin@NetBSD.org .
.Pp
The
.Nx Ns / Ns amiga
ISDN Blaster/Master/MasterII driver was written by
.An Ignatios Souvatzis
.Aq is@NetBSD.org .
.Sh BUGS
Note that all of the boards with I/O ports actually use several ranges
of port addresses; Teles happen to refer to the 0xd80 range in their
documentation (the board also uses 0x180 etc.), while AVM happen to refer
to the 0x200 range in their documentation (the board also uses 0x600 etc.)
The driver matches the manufacturers' description for the purposes of
configuration, but of course makes use of all the ports in order to
operate the card.
.Pp
Since there is no hardware documentation available from several manufacturers
for their boards, it is likely that there are many, many bugs left.
